Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158790 - CAN-2005-1739 ImageMagick XWD denial of service
Summary: CAN-2005-1739 ImageMagick XWD denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,public=20050425,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 19:28 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-02 14:30:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:480 normal SHIPPED_LIVE Moderate: ImageMagick security update 2005-06-02 04:00:00 UTC

Description Josh Bressers 2005-05-25 19:28:39 UTC
The XWD Decoder in ImageMagick before 6.2.2.3, and GraphicsMagick before
1.1.6-r1, allows remote attackers to cause a denial of service (infinite loop)
via an image with a zero color mask.

Comment 1 Josh Bressers 2005-05-25 19:29:44 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-05-25 19:36:29 UTC
Additional information can be found here:
http://bugs.gentoo.org/show_bug.cgi?id=90423

Comment 4 Josh Bressers 2005-06-02 14:30:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-480.html



Note You need to log in before you can comment on or make changes to this bug.